/** @file
===========================================================================
MODULE          : IScheduledTask

DESCRIPTIONS    : 

REVISION HISTORY: Version 1.0

COPYRIGHT       : (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS	: The information/data/code contained within this file is 
				  the property of CSIR, Meraka Institute and has been 
				  classified as PUBLIC.
===========================================================================
*/
#ifndef __LIVE555_OBSERVABLE_H__
#define __LIVE555_OBSERVABLE_H__

// LiveMedia
#include <UsageEnvironment.hh>

// This class encapsulates the function pointer to the task we want to schedule once new data arrives
class IScheduledTask
{
public:

	IScheduledTask()
		:m_fnScheduledTask(NULL)
	{}

	virtual ~IScheduledTask(){}
	
	TaskFunc* getTask() { return m_fnScheduledTask; }

protected:	
	// This method needs to set the function we want scheduled when we set the watch variable
	virtual void setScheduledTask() = 0;

	TaskFunc* m_fnScheduledTask;
private:
};
#endif
