/** @file

MODULE				: PicScalerRGB24Impl

TAG					: PSRGB24I

FILE NAME			: PicScalerRGB24Impl.h

DESCRIPTION			: An RGB24 implementation derived from the general
						PicScalerBase() class. Scale a packed RGB24 image
						to the dimensions of another packed RGB24 image.

REVISION HISTORY	: 10/09/2007 KF - Bug fix on the posy and posx
						variables that caused out of bounds access.

COPYRIGHT			: (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS		: The information/data/code contained within this file is 
					  the property of CSIR, Meraka Institute and has been 
					  classified as PUBLIC.
===========================================================================
*/
#ifndef _PICSCALERRGB24IMPL_H
#define _PICSCALERRGB24IMPL_H

#pragma once

#include "PicScalerBase.h"

/*
===========================================================================
  Class definition.
===========================================================================
*/
class PicScalerRGB24Impl: public PicScalerBase
{
public:
	// Construction and destruction.
	PicScalerRGB24Impl(void) { }
	PicScalerRGB24Impl(int width, int height, int subWidth, int subHeight): PicScalerBase(width,height,subWidth,subHeight) { }
	virtual ~PicScalerRGB24Impl(void) {}

	// Interface.
	int Scale(void* pOutImg, void* pInImg);

};//end PicScalerRGB24Impl.


#endif	// _PICSCALERRGB24IMPL_H
